Skip to main content
POST
Create virtual tag config value

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

virtual_tag_config_token
string
required

Body

application/json

Create a VirtualTagConfigValue.

filter
string
required

The filter query language to apply to the value. Additional documentation available at https://docs.vantage.sh/vql.

name
string

The name of the value.

business_metric_token
string

The token of an associated business metric.

label_key
string

The business metric label key used for this virtual tag value.

label_values
string[]

Business metric label values. An empty array includes every value for the label key.

display_name
string | null

The display name for a cost metric or percentage allocation value.

label_transforms
object[]
cost_metric
object
percentages
object[]
date_ranges
object[]

Date ranges restricting when this value applies.

Response

VirtualTagConfigValue model

token
string
required

The token of the Value.

Example:

"vtag_val_1234"

filter
string | null
required

The filter VQL for the Value.

Example:

"costs.provider = 'aws' AND costs.service = 'Amazon Simple Storage Service'"

label_transforms
object[]
required

Label transforms applied to business metric labels.

percentages
object[]
required

Labeled percentage allocations for matching costs.

date_ranges
object[]
required

Date ranges restricting when this value applies.

name
string | null

The name of the Value.

Example:

"Informatics"

business_metric_token
string | null

The token of the associated BusinessMetric.

Example:

"bsnss_mtrc_abc123"

label_key
string | null

The business metric label key used for this virtual tag value.

label_values
string[] | null

Optional business metric label values. An empty array includes every value for the label key.

cost_metric
object
display_name
string | null

The display name for this allocation value.